| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Private Member Functions | List of all members
ConstRefMan< T > Class Template Reference
Basic

`#include <ptrman.h>`

Inheritance diagram for ConstRefMan< T >:
[legend]

## Public Member Functions
| ConstRefMan (const ConstRefMan< T > &)
template<class TT >
| ConstRefMan (const ConstRefMan< TT > &)
template<class TT >
| ConstRefMan (const RefMan< TT > &)
| ConstRefMan (const T *=nullptr)
ConstRefMan< T > & | operator= (const ConstRefMan< T > &)
template<class TT >
ConstRefMan< T > & | operator= (const ConstRefMan< TT > &)
template<class TT >
ConstRefMan< T > & | operator= (const RefMan< TT > &)
ConstRefMan< T > & | operator= (const T *p)
void | setNoDelete (bool yn)
Public Member Functions inherited from ConstPtrManBase< T >
T * | getNonConstPtr () const
| operator const T * () const
const T & | operator* () const
const T * | operator-> () const
const T * | ptr () const
Public Member Functions inherited from PtrManBase< T >
T * | createIfNull (PointerCreator=createSingleObject< T >)
void | erase ()
| operator bool ()
| operator bool () const
bool | operator! () const
template<class TT >
bool | operator== (const PtrManBase< TT > &) const =delete
T * | release ()
| Returns pointer. I won't take care of it any longer.
T * | set (T *p, bool doerase=true)
| Returns old pointer if not erased.
bool | setIfNull (T *p)
bool | setIfNull (T *p, bool takeover)

## Static Private Member Functions
static void | ref (T *p)
static void | unRef (T *p)
static void | unRefNoDelete (T *p)

## Additional Inherited Members
Public Types inherited from PtrManBase< T >
typedef T *(* | PointerCreator) ()
Protected Types inherited from ConstPtrManBase< T >
typedef void(* | PtrFunc) (T *)
Protected Types inherited from PtrManBase< T >
typedef void(* | PtrFunc) (T *)
Protected Member Functions inherited from ConstPtrManBase< T >
| ConstPtrManBase (PtrFunc setfunc, PtrFunc deletor, T *p)
Protected Member Functions inherited from PtrManBase< T >
| PtrManBase (PtrFunc setfunc, PtrFunc deletor, T *)
virtual | ~PtrManBase ()
Protected Attributes inherited from PtrManBase< T >
PtrFunc | deletefunc_
Threads::AtomicPointer< T > | ptr_
PtrFunc | setfunc_

## Detailed Description

template<class T>
class ConstRefMan< T >

Smart pointer for reference counted objects.

<>

## Constructor & Destructor Documentation

## ◆ ConstRefMan() [1/4]

template<class T >

ConstRefMan< T >::ConstRefMan | ( | const ConstRefMan< T > & | p | ) |
| inline

## ◆ ConstRefMan() [2/4]

template<class T >
template<class TT >

ConstRefMan< T >::ConstRefMan | ( | const ConstRefMan< TT > & | p | ) |
| inline

## ◆ ConstRefMan() [3/4]

template<class T >
template<class TT >

ConstRefMan< T >::ConstRefMan | ( | const RefMan< TT > & | p | ) |
| inline

## ◆ ConstRefMan() [4/4]

template<class T >

ConstRefMan< T >::ConstRefMan | ( | const T * | p = nullptr | ) |
| inline

## Member Function Documentation

## ◆ operator=() [1/4]

template<class T >

ConstRefMan< T > & ConstRefMan< T >::operator= | ( | const ConstRefMan< T > & | p | ) |
| inline

## ◆ operator=() [2/4]

template<class T >
template<class TT >

ConstRefMan< T > & ConstRefMan< T >::operator= | ( | const ConstRefMan< TT > & | p | ) |
| inline

## ◆ operator=() [3/4]

template<class T >
template<class TT >

ConstRefMan< T > & ConstRefMan< T >::operator= | ( | const RefMan< TT > & | p | ) |
| inline

## ◆ operator=() [4/4]

template<class T >

ConstRefMan< T > & ConstRefMan< T >::operator= | ( | const T * | p | ) |
| inline

## ◆ ref()

template<class T >

void ConstRefMan< T >::ref | ( | T * | p | ) |
| inline static private

## ◆ setNoDelete()

template<class T >

void ConstRefMan< T >::setNoDelete | ( | bool | yn | ) |
| inline

## ◆ unRef()

template<class T >

void ConstRefMan< T >::unRef | ( | T * | p | ) |
| inline static private

## ◆ unRefNoDelete()

template<class T >

void ConstRefMan< T >::unRefNoDelete | ( | T * | p | ) |
| inline static private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025